<p>title: Argumen Fungsi
description:</p>
<hr />
<p>Dalam membangun aplikasi riil penggunaan skup global di dalam fungsi tidak efisien, ada cara yang lebih baik untuk memproses suatu data di dalam fungsi, yakni dengan melewatkan variabel melalui argumen fungsi.</p>
<p>Argumen fungsi adalah variabel yang ada di dalam kurung setelah nama fungsi, argumen menjadi pintu masuk data yang akan digunakan di dalam fungsi.
Kita dapat mengisi argumen fungsi dengan <strong>nilai input langsung</strong>, <strong>nilai default</strong>, atau <strong>nilai referensi</strong>.</p>
<pre><code>function selamatDatang($nama) {
    echo "Selamat Datang, $nama! &lt;br /&gt;";
}

selamatDatang("Coder");
$username = "toharyan";
selamatDatang($username);</code></pre>
<p>Pada contoh di atas, kita membuat fungsi <code>selamatDatang()</code> yang memiliki satu buah argumen <code>$nama</code>. Pada baris ke-5 fungsi ini dipanggil dan argumen <code>$nama</code> diisi dengan nilai string &quot;Coder&quot;. Pada pemanggilan fungsi di baris ke-7 argumen diisi dengan variabel <code>$username</code> yang bernilai string &quot;toharyan&quot;.</p>
<p>Kita dapat membuat argumen fungsi lebih dari satu, dengan dipisahkan oleh tanda koma. Saat pemanggilan fungsi, argumen fungsi diisi sesuai urutan penulisan argumen (dari kiri ke kanan) pada deklarasi fungsi.</p>
<h2>Praktek</h2>
<ul>
<li>
<p>Pada editor, di baris ke-10 panggillah fungsi <code>profil()</code> dengan mengisikan argumen pertama dengan variabel <code>$nama</code> dan argumen kedua dengan variabel <code>$asal</code>. Jalankan program dan pelajari mengapa outputnya seperti itu.</p>
</li>
<li>
<p>Buatlah argumen ketiga dengan nama <code>$tahun</code>, dan buat kode di dalam fungsi untuk mencetak string <strong>&quot;Saya lahir pada tahun $tahun&quot;</strong>. Pada baris ke-10 panggil fungsi <code>profil()</code> dan jangan lupa untuk mengisi argumen ketiga tadi. Contoh output yang seharusnya tampil bila program dijalankan mestinya seperti ini:</p>
<pre><code>Nama saya Oriza. 
Saya berasal dari kota Bandung. 
Saya lahir pada tahun 1989</code></pre>
<iframe width="100%" height="400" frameborder="0" src="https://development.codepolitan.com/coding/editor/fungsi-argumenfungsi"></iframe>
<p>​</p>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.</p>
<p>​</p>
</li>
</ul>